gr::ieee802_15_4::preamble_tagger_cc Class Reference

<+description of block+> More...

`#include <preamble_tagger_cc.h>`

Inheritance diagram for gr::ieee802_15_4::preamble_tagger_cc:
[legend]

## Public Types

typedef boost::shared_ptr< preamble_tagger_cc > | sptr

## Static Public Member Functions

static sptr | make (int len_preamble)
| Return a shared_ptr to a new instance of ieee802_15_4::preamble_tagger_cc. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<preamble_tagger_cc> gr::ieee802_15_4::preamble_tagger_cc::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::preamble_tagger_cc::make | ( | int | len_preamble | ) |

static

Return a shared_ptr to a new instance of ieee802_15_4::preamble_tagger_cc.

To avoid accidental use of raw pointers, ieee802_15_4::preamble_tagger_cc's constructor is in a private implementation class. ieee802_15_4::preamble_tagger_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- preamble_tagger_cc.h